Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.client.xacml
Class NodeCopyAction

    java.lang.Object
      javax.swing.AbstractAction
          org.exist.client.xacml.NodeCopyAction

All Implemented Interfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.awt.datatransfer.ClipboardOwner, java.lang.Cloneable, java.util.EventListener, java.io.Serializable

public class NodeCopyAction
extends javax.swing.AbstractAction
implements java.awt.datatransfer.ClipboardOwner

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`NodeCopyAction(javax.swing.JTree tree)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent event)`
`java.lang.String` | `getName()`
`javax.swing.KeyStroke` | `getTrigger()`
`void` | `lostOwnership(java.awt.datatransfer.Clipboard clipboard, java.awt.datatransfer.Transferable data)`
`void` | `setContextNode(XACMLTreeNode contextNode)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeCopyAction

    public NodeCopyAction(javax.swing.JTree tree)

Method Detail

### getName

    public java.lang.String getName()

### getTrigger

    public javax.swing.KeyStroke getTrigger()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### setContextNode

    public void setContextNode(XACMLTreeNode contextNode)

### lostOwnership

    public void lostOwnership(java.awt.datatransfer.Clipboard clipboard,
                              java.awt.datatransfer.Transferable data)

  Specified by:
    `lostOwnership` in interface `java.awt.datatransfer.ClipboardOwner`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.